Subject: Re: [PATCH] Infinite loop/always true check possible with unsigned counter.

From: Manish Ahuja <[email-masked]>
Date: Tue, 10 Jul 2007 13:39:57 -0500

Paul Mackerras wrote:
> Andreas Schwab writes:
>
>   
>>>> ??? There is no rgn->cnt involved in the comparison.
>>>>         
>>> Look further down in lmb_add_region; there is a second for loop that
>>> does
>>>
>>> 	for (i = rgn->cnt-1; i >= 0; i--)
>>>       
>> Which is exactly the one quoted above.  I still don't see your point.
>>     
>
> You're right - my mistake.
>
> Paul.
>   
I presume the patch is good then. Do I need to change anything ?

Thanks,
Manish